Bug 1299247 - Unetbootin displays a blank screen when run as root or with administrative privileges and fails to authenticate with the system.
Unetbootin displays a blank screen when run as root or with administrative pr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: unetbootin (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Filipe Rosset
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 14:48 EST by Ervin
Modified: 2016-12-20 12:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:57:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
What Unetbootin displays. (11.02 KB, image/png)
2016-01-17 14:48 EST, Ervin
no flags Details
Unetbootin's initial dialog. (11.20 KB, image/png)
2016-01-17 14:49 EST, Ervin
no flags Details

  None (edit)
Description Ervin 2016-01-17 14:48:22 EST
Created attachment 1115654 [details]
What Unetbootin displays.

Description of problem:
When being run as root or sudo Unetbootin displays only a blank screen. 

Version-Release number of selected component (if applicable):
613-1.fc23


How reproducible:
Always


Steps to Reproduce:
1.Install Unetbootin
2.Launch Unetbootin
3.View the dialog about Unetbootin needing to run in administrative priviledges
4.Close the Unetbootin Windows
5.Open a terminal and type either sudo /usr/bin/unetbootin or su --c '/usr/bin/unetbootin' to launch Unetbootin with administrative privileges. 


Actual results:
This is the message that comes in the terminal when using sudo: 
Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a

And the results when using the su command: 
Qt: Session management error: None of the authentication protocols specified are supported
X Error: BadAccess (attempt to access private resource denied) 10
  Extension:    130 (MIT-SHM)
  Minor opcode: 1 (X_ShmAttach)
  Resource id:  0x13c
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a
X Error: BadShmSeg (invalid shared segment parameter) 128
  Extension:    130 (MIT-SHM)
  Minor opcode: 3 (X_ShmPutImage)
  Resource id:  0x240000a
Note: password is correct in both cases. 

Expected results:
Unetbootin should start normally, or even better, it should ask for authentication rather than display a dialog about commands to typed in the terminal. 

Additional info:
Comment 1 Ervin 2016-01-17 14:49 EST
Created attachment 1115655 [details]
Unetbootin's initial dialog.
Comment 2 yucef sourani 2016-08-30 08:17:21 EDT
this problem appears with fedora 24
Comment 3 Fedora Admin XMLRPC Client 2016-10-20 12:18:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 10:00:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Dimitri Papadopoulos 2016-11-28 14:36:16 EST
Still there in Fedora 24.
Could someone bump the version please?
Comment 6 Dimitri Papadopoulos 2016-11-28 14:39:45 EST
See upstream bug https://github.com/unetbootin/unetbootin/issues/56

This looks like a possible workaround for now:
sudo QT_X11_NO_MITSHM=1 unetbootin
Comment 7 Fedora Admin XMLRPC Client 2016-12-10 13:23:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2016-12-20 12:57:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.